Page MenuHomePhabricator

Use OO.ui.confirm() for the confirmation dialog in uw.controller.Details.prototype.valid
Closed, ResolvedPublic

Description

Use OO.ui.confirm() (see https://gerrit.wikimedia.org/r/#/c/257256/ ) for UploadWizard's confirmation dialog in uw.controller.Details.prototype.valid.

Event Timeline

matmarex created this task.Oct 29 2015, 7:11 PM
matmarex raised the priority of this task from to Normal.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 29 2015, 7:11 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 29 2015, 7:13 PM
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Nov 5 2015, 4:08 PM
MarkTraceur lowered the priority of this task from Normal to Low.Dec 3 2015, 8:03 PM
MarkTraceur added a project: Technical-Debt.

@matmarex: Am I right that we cannot make this task available yet in GCI because T117076 is not fixed yet?

Yes :/ It always seems like you have more time, until it runs out. I wrote a patch for that bug now, and hopefully it will be merged and available in MediaWiki by Wednesday.

Aklapper updated the task description. (Show Details)Dec 17 2015, 11:56 AM
Aklapper set Security to None.
Mhutti1 claimed this task.Dec 21 2015, 7:46 PM

Change 260740 had a related patch set uploaded (by Mhutti1):
Moved uw.controller.Details.prototype.valid to use OO.ui.confirm()

https://gerrit.wikimedia.org/r/260740

Change 260740 merged by jenkins-bot:
Moved uw.controller.Details.prototype.valid to use OO.ui.confirm()

https://gerrit.wikimedia.org/r/260740

matmarex closed this task as Resolved.Dec 23 2015, 7:13 PM
matmarex removed a project: Patch-For-Review.